POST
/#X-Amz-Target=CodeCommit_20150413.ListApprovalRuleTemplates
http://codecommit.{region}.amazonaws.com/#X-Amz-Target=CodeCommit_20150413.ListApprovalRuleTemplatesLists all approval rule templates in the specified AWS Region in your AWS account. If an AWS Region is not specified, the AWS Region where you are signed in is used.
Access Token Required: API Key
Query Params
maxResultsstring
Pagination limit
nextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://codecommit.{region}.amazonaws.com/#X-Amz-Target=CodeCommit_20150413.ListApprovalRuleTemplates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}